const crypto = require('crypto');

const accountController = {
  getCookie: (req, res) => {
    console.log("site loaded")
    console.log(req.cookies)
    let cookie = req.cookies.user;
    if (!cookie) {
        //crypto.randomBytes() instead of Math.random() for cryptographically secure random numbers
        let randomBuffer = crypto.randomBytes(16); // 128bits of entropy
        let randomNumber = randomBuffer.toString('hex');
        let options = {
            maxAge: 86400000, // 1 day
            httpOnly: true
        }
        // Set cookie
        res.cookie("user", randomNumber, options);
        console.log("cookie set");
    }
    res.redirect('/');
  }
};

module.exports = accountController;
