const express = require("express");
const mainController = require("../controllers/main");
const router = express.Router();

router
  .route("/")
  .get(mainController.root);

router
  .route("/style.css")
  .get(mainController.style);

router
  .route("/script.js")
  .get(mainController.script);

module.exports = router;
